numtoa.h File Reference
`#include <stdint.h>`
`#include "evhtp/config.h"`
Include dependency graph for numtoa.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | evhtp_modp_uchartoa(_val)

## Functions

EVHTP_EXPORT size_t | evhtp_modp_sizetoa (size_t value, char *str)
| based on the system architecture, convert a size_t number to a string.
EVHTP_EXPORT size_t | evhtp_modp_u32toa (uint32_t value, char *str)
| converts uint32_t value to string
EVHTP_EXPORT size_t | evhtp_modp_u64toa (uint64_t value, char *str)
| convert uint64_t value to a string

## Macro Definition Documentation

## evhtp_modp_uchartoa

#define evhtp_modp_uchartoa | ( |  | _val | ) |

Value:
(unsigned char)('0' + _val)

Definition at line 43 of file numtoa.h.

## Function Documentation

## evhtp_modp_sizetoa()

EVHTP_EXPORT size_t evhtp_modp_sizetoa | ( | size_t | value,
|  | char * | str )

based on the system architecture, convert a size_t number to a string.

Parameters

  value | the input value
  str | The output buffer, should be 24 chars or more.

Returns

Here is the caller graph for this function:

## evhtp_modp_u32toa()

EVHTP_EXPORT size_t evhtp_modp_u32toa | ( | uint32_t | value,
|  | char * | str )

converts uint32_t value to string

Parameters

  value | input value
  str | output buffer, should be 16 chars or more

Returns

Here is the caller graph for this function:

## evhtp_modp_u64toa()

EVHTP_EXPORT size_t evhtp_modp_u64toa | ( | uint64_t | value,
|  | char * | str )

convert uint64_t value to a string

Parameters

  value | input value
  str | output buffer, should be 24 chars or more

Returns